<?php

$server = function()
{
	return Dever::db('mqtt/server')->state();
};
return array
(
	# 表名
	'name' => 'data',
	# 显示给用户看的名称
	'lang' => '消息列表',
	# 后台菜单排序
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
			'order'		=> 'desc',
		),
		
		'server_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '服务器',
			'default' 	=> '',
			'desc' 		=> '服务器',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $server,
			'list'		=> true,
		),

		'topic'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> 'key',
			'default' 	=> '',
			'desc' 		=> 'key',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'msg'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> 'msg',
			'default' 	=> '',
			'desc' 		=> 'msg',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'request' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,
	),
);
